<?php

namespace Drp\ProjectHelpers\Tests\Concerns;


use Drp\ProjectHelpers\Tests\Helpers\Hasher;

trait HasFakeHasher
{
    /**
     * Swap out the Laravel Hasher with the fake Hasher
     * This will drastically increase test speed as no
     * passwords are actually hashed
     *
     * @return void
     */
    public function userFakeHasher()
    {
        app()->alias(Hasher::class, 'hash');
    }
}